/*
        @file    $Id: testlist.h #$

        @brief

        @author
                 $LastChangedBy: namekawa $

        @date    $LastChangedDate: 2013-04-08 18:00:27 #$

        @version $LastChangedRevision: 1022 $
*/

#ifndef TESTLIST_INCLUDED
#define TESTLIST_INCLUDED

// prototype declarations

namespace Test_Eigensolver {
  int solve(void);
  int solve_chebyshev(void);
  int solve_SF(void);
}


namespace Test_Gauge {
  int plaquette(void);
  int shift(void);
}


namespace Test_GradientFlow {
  int update(void);
}


namespace Test_HMC_Clover {
  int leapfrog_Nf2(void);
  int RHMC_Nf2p1(void);
}

namespace Test_HMC_Clover_SF {
  int leapfrog_Nf2(void);
  int RHMC_Nf2p1(void);
}

namespace Test_HMC_Quenched {
  int leapfrog(void);
}

namespace Test_HMC_Wilson {
  int leapfrog_Nf2(void);
}


namespace Test_HotStart {
  int determinant(void);
  int eigenvalue(void);
  int unitary(void);
}


namespace Test_IO_Data {
  int test_io_data_text(void);
}

namespace Test_IO_GaugeConfig {
  int test_io_gconf_text(void);
  int test_io_gconf_binary(void);
  int test_io_gconf_fortran(void);
  int test_io_gconf_ILDG(void);
  int test_io_gconf_binary_parallel(void);
}


namespace Test_RandomNumbers {
  int uniform_calc_pi(void);
  int gaussian(void);
  int gaussian_field(void);
}


namespace Test_Rational {
  int approx(void);
  int inverse(void);
  int smeared_rational(void);
}


namespace Test_SF_fAfP {
  int boundary_meson_2ptFunction(void);
}


namespace Test_ShiftSolver {
  int solve(void);
}


namespace Test_Spectrum_Clover {
  int hadron_2ptFunction(void);
  int hadron_2ptFunction_eo(void);
  int hadron_2ptFunction_withFileIO(void);
  int hadron_2ptFunction_eo_withFileIO(void);
}

namespace Test_Spectrum_Wilson {
  int hadron_2ptFunction(void);
  int hadron_2ptFunction_eo(void);
}

namespace Test_Spectrum_CRSMatrix {
  int CRSsolver(void);
  int clover_lex(void);
}


namespace Test_WilsonLoop {
  int wilsonloop(void);
}

#endif
